app-dialog,
app-image-dialog {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
  background: transparent;
  padding: 0;
  margin: 0;
  border: none;
  font-size: 1.6rem;

  .dialog-content {
    max-height: 90vh;
  }

  &.modal {
    .dialog-content {
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    & > .backdrop {
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: var(--dialog-backdrop);
      opacity: 0.8;
    }
  }
}

app-root + app-dialog {
  z-index: 1005;
}

.dialog-inner-container {
  position: relative;
  min-width: 80vw;
  height: 100%;
  box-sizing: border-box;
  background: var(--modal-deco-bg);
  border-radius: 16px;

  > .deco-wrapper .deco {
    position: absolute;
    width: 42px;
    height: 42px;
    transform: translate(-30%, -50%);

    &.r45 {
      transform: translate(-30%, -50%) rotate(45deg);
    }

    &.medium {
      width: 33px;
      height: 33px;
    }
    &.small {
      width: 20px;
      height: 20px;
    }
    &.top {
      top: 0;
      &-middle {
        top: 50%;
      }
      &-1 {
        top: 10%;
      }
      &-2-5 {
        top: 25%;
      }
    }
    &.bottom {
      top: 100%;
      &-middle {
        top: 50%;
      }
      &-1 {
        top: 90%;
      }
      &-1-5 {
        top: 85%;
      }
      &-2 {
        top: 80%;
      }
      &-2-5 {
        top: 75%;
      }
    }
    &.left {
      left: 0;
      &-middle {
        left: 25%;
      }
    }
    &.right {
      left: 100%;
      transform: translate(-75%, -50%);

      &.r45 {
        transform: translate(-75%, -50%) rotate(45deg);
      }
      &-middle {
        left: 75%;
      }
    }
    &.middle {
      left: 50%;
    }
  }

  > button.close-modal {
    position: absolute;
    top: var(--spacing);
    right: var(--spacing);
    z-index: 1;
  }

  .dialog-inner-content {
    position: absolute;
    top: var(--spacing-big);
    left: var(--spacing-big);
    right: var(--spacing-big);
    bottom: var(--spacing-big);
    overflow: auto;
  }

  @media screen and (min-width: 768px) {
    min-width: 400px;
    max-width: 400px;
  }
}

.coordination-modal {
  .dialog-inner-content {
    .type-img {
      display: block;
      width: auto;
      height: 70px;
      opacity: 0.7;
    }
  }

  .img-container {
    p {
      position: relative;
      z-index: 1;
      font-size: var(--secondary-font-size-very-small);
      font-family: var(--secondary-font);
      display: flex;
      justify-content: center;
      align-items: center;
      text-align: center;
      height: 100%;
      padding: var(--spacing);
      box-sizing: border-box;
    }
  }
}

.details-dialog {
  .dialog-content {
    background: var(--details);
    color: var(--details-text);
    border: 1px solid var(--details-shadow);
    border-radius: 8px;
    font-family: var(--secondary-font) !important;
    font-size: var(--secondary-font-size-very-small) !important;

    .close-button {
      position: absolute;
      top: var(--spacing);
      right: var(--spacing);
      z-index: 1;
    }

    .dialog-inner-container {
      background: inherit;
      color: inherit;

      .dialog-inner-content {
        top: var(--spacing-bigger);
        left: var(--spacing-medium);
        right: var(--spacing-medium);
        bottom: var(--spacing-medium);
      }
    }
  }
}
